# Post

Some code to formalize parsing POST data and generating HTML forms.
This is made as an attempt to de-duplicate code around generating forms with pre-existing data filled in.

There is no templating included, the final step for HTML generation must be done by the parent application.
An example parent application is given in `test.php`.

Due to a lack of useful documentation, `test.php` is also the reference implementation.

Testing is done by clicking around in `test.php`.

# Dependencies

- session_start() needs to be called from the parent application
- openssl is required for CRSF token generation
- class autoloading needs to be done from parent application

# How to use it

Include it via git checkout or submodule into the class autoload directories, under `Post/`.
There is no packaging for compose etc, this is mostly meant for conventional php applications.
